<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="..//dom/main.css">
    <title>Document</title>
</head>

<body>
    <div class="container">
            <input type="button" value="Create new box" id="btn-create">
        <form action="" id="add-box">
            <input type="text" id="btn-text-area">
            <input type="submit" value="Add text" id="btn-submit">
        </form>
        <div class="box" id="box-1">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Beatae id, voluptate praesentium veniam odio
                fugit nobis aliquid cum consequuntur!</p>
        </div>
        <div class="box" id="box-2">
            <p>Eaque ducimus, recusandae consequuntur quaerat sunt nulla. Saepe fugit quos necessitatibus dignissimos
                accusamus voluptatum similique voluptates recusandae aliquid quibusdam.</p>
        </div>
        <div class="box" id="box-3">
            <p>Unde, ab? At, harum. Non corrupti reprehenderit, ipsam quibusdam cum voluptatum voluptatibus labore
                expedita, itaque voluptatem porro, nesciunt distinctio!</p>
        </div>
        <div class="box" id="box-4">
            <p>Nam recusandae aperiam quidem sit inventore praesentium, provident distinctio. Maiores odit ullam sint
                unde veniam eius possimus voluptatibus totam?</p>
        </div>
        <div class="box" id="box-5">
            <p>Velit, dolorem! Quam quia, enim labore dolores laudantium fugit nesciunt perspiciatis, eos officia
                aspernatur molestiae, iusto animi hic dicta!</p>
        </div>
    </div>
    <script>
        const container = document.getElementsByClassName("container")[0];
        const boxLink = container.children;
        const btnSubmit = document.getElementById("add-box");
        const btnCreate = document.getElementById("btn-create");


        btnCreate.addEventListener("click", function () {
            const boxConstructor = document.createElement("div");
            boxConstructor.className = ("box");
            boxConstructor.innerHTML = `<p> </p>`;
            this.after(boxConstructor);
            console.log(boxConstructor);
            // console.log(event.target);
            console.log(this);


        });
        btnSubmit.addEventListener("submit", function (event) {
            event.preventDefault();
            const input = document.getElementById("btn-text-area");
            const boxConstructor = document.createElement("div");
            boxConstructor.className = ("box");
            boxConstructor.innerHTML = `<p>${input.value}</p>`;
            this.append(boxConstructor);
            // console.log(boxConstructor);
            // console.log(event.target);
            console.log(this);

        });


    </script>
</body>

</html>